<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author       pedro.garcia
@description  página donde se crea o modifica una construcción asociada a un avalúo
@cu           CU-SA-AC-074

@param        idsComponentsToUpdateParam cadena con los ids de componentes que hay que actualizar cuando
    se haga la acción de esta página
@param        widgetVarNameParam valor del atributo widgetVar del dialogo donde se incluye esta página
-->

<h:panelGrid
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:p="http://primefaces.org/ui"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    width="100%"
    id="crearModificarDetalleAvaluoPG">


    <p:messages id="crearModificarConstruccionMsgs" showDetail="false" />

    <h:form id="crearModificarDetalleAvaluoForm" >

        <h:panelGrid columns="2" width="100%">

            <h:panelGroup>
                <h:outputLabel value="Tipo:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* "
                               styleClass="requiredLabelStyle"  />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="tipoConstruccionSOM"
                                 label="Tipo construcción"
                                 value="#{administracionDetallesAvaluo.construccionNuevaModificada.tipo}">
                    <f:selectItems value="#{general.unidadConstruccionTipoV}" />
                </h:selectOneMenu>
                <p:message id="tcMsg" for="tipoConstruccionSOM" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Descripción:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputTextarea
                    id="descripcionConstruccionIT"
                    label="Descripción construcción" cols="30"
                    value="#{administracionDetallesAvaluo.construccionNuevaModificada.descripcion}"
                    required="true" >
                    <f:validateLength maximum="2000" />
                </h:inputTextarea>
                <p:message id="dzITMsg" for="descripcionConstruccionIT" display="icon" />
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel value="Unidad de medida:"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="* "
                               styleClass="requiredLabelStyle"  />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="unidadMedidaConstruccionSOM"
                                 label="Unidad de medida"
                                 value="#{administracionDetallesAvaluo.construccionNuevaModificada.unidadMedidaDimension}">
                    <f:selectItems value="#{general.unidadMedidaV}" />
                </h:selectOneMenu>
                <p:message id="umcMsg" for="unidadMedidaConstruccionSOM" display="icon" />
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel 
                    value="Medida:"
                    styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText
                    id="medidaConstruccionIT"
                    label="Medida"
                    value="#{administracionDetallesAvaluo.construccionNuevaModificada.dimension}"
                    required="true" >
                    <f:validateLongRange minimum="1" maximum="100000000" />
                </h:inputText>
                <p:message id="mcITMsg" for="medidaConstruccionIT" display="icon" />
            </h:panelGrid>


            <h:panelGroup>
                <h:outputLabel 
                    value="Valor unitario:"
                    styleClass="outputLabelStyle" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <h:inputText
                    id="valorUnitarioConstruccionIT"
                    label="Valor unitario"
                    value="#{administracionDetallesAvaluo.construccionNuevaModificada.valorUnitario}"
                    required="true" >
                    <f:validateDoubleRange minimum="1.0" maximum="100000000" />
                    <f:converter converterId="converterMoneda" for="valorUnitarioConstruccionIT" />
                    <p:ajax event="blur"
                            onstart="aplicarFormatoMoneda('crearModificarDetalleAvaluoForm:valorUnitarioConstruccionIT',true);" />
                    <p:ajax event="focus"
                            onstart="aplicarFormatoMoneda('crearModificarDetalleAvaluoForm:valorUnitarioConstruccionIT',false);" />
                </h:inputText>
                <p:message id="vucITMsg" for="valorUnitarioConstruccionIT" display="icon" />
            </h:panelGrid>

        </h:panelGrid>

        <p:spacer height="20" width="0" />

        <p:outputPanel layout="block" style="text-align: center">
            <p:commandButton
                value="Aceptar"
                label="Crear la nueva construcción"
                icon="ui-icon-circle-check"
                action="#{administracionDetallesAvaluo.registrarModificarDetalleAvaluo}"
                update=":crearModificarConstruccionMsgs, dzITMsg, azITMsg, vuzITMsg,
                #{idsComponentsToUpdateParam}"
                oncomplete="handleCompleteSIC(xhr, status, args, #{widgetVarNameParam}, false)"
                />
            <p:spacer width="20" height="0" />
            <p:commandButton
                value="Cancelar"
                label="Cancelar la operación"
                icon="ui-icon-circle-close"
                onclick="#{widgetVarNameParam}.hide();"
                />
        </p:outputPanel>


    </h:form>


</h:panelGrid>
